Create Bank Transfer Collection
curl --request POST \
--url https://api.useglyde.co/v1/collection/bank-transfer \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"currency": "NGN",
"reference": "order_12345678",
"amount": 10000,
"customer_name": "John Doe",
"customer_email": "[email protected]",
"customer_phone": "08012345678",
"meta": {}
}
'import requests
url = "https://api.useglyde.co/v1/collection/bank-transfer"
payload = {
"currency": "NGN",
"reference": "order_12345678",
"amount": 10000,
"customer_name": "John Doe",
"customer_email": "[email protected]",
"customer_phone": "08012345678",
"meta": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
currency: 'NGN',
reference: 'order_12345678',
amount: 10000,
customer_name: 'John Doe',
customer_email: '[email protected]',
customer_phone: '08012345678',
meta: {}
})
};
fetch('https://api.useglyde.co/v1/collection/bank-transfer', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"data": {
"reference": "<string>",
"account_number": "<string>",
"account_name": "<string>",
"bank_name": "<string>",
"amount": 123,
"fee": 123,
"expires_at": "<string>"
}
}Collection
Create Bank Transfer Collection
Create a collection with a virtual bank account for payment.
POST
/
v1
/
collection
/
bank-transfer
Create Bank Transfer Collection
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Was this page helpful?
⌘I